Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml
Class Step

    java.lang.Object
      org.apache.commons.scxml.Step

public class Step
extends Object

A logical unit of progression in the execution of a SCXML model.

Constructor Summary
`Step()` Constructor.
`Step(Collection externalEvents, Status beforeStatus)`

Method Summary
`Status` | `getAfterStatus()`
`Status` | `getBeforeStatus()`
`List` | `getEntryList()`
`List` | `getExitList()`
`Collection` | `getExternalEvents()`
`List` | `getTransitList()`
`void` | `setAfterStatus(Status afterStatus)`
`void` | `setBeforeStatus(Status beforeStatus)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Step

    public Step()

  Constructor.

### Step

    public Step(Collection externalEvents,
                Status beforeStatus)

Parameters:
  `externalEvents` - The external events received in this unit of progression
  `beforeStatus` - The before status

Method Detail

### getAfterStatus

    public Status getAfterStatus()

  Returns:
    Returns the afterStatus.

### setAfterStatus

    public void setAfterStatus(Status afterStatus)

  Parameters:
    `afterStatus` - The afterStatus to set.

### getBeforeStatus

    public Status getBeforeStatus()

  Returns:
    Returns the beforeStatus.

### setBeforeStatus

    public void setBeforeStatus(Status beforeStatus)

  Parameters:
    `beforeStatus` - The beforeStatus to set.

### getEntryList

    public List getEntryList()

  Returns:
    Returns the entryList.

### getExitList

    public List getExitList()

  Returns:
    Returns the exitList.

### getExternalEvents

    public Collection getExternalEvents()

  Returns:
    Returns the externalEvents.

### getTransitList

    public List getTransitList()

  Returns:
    Returns the transitList.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2006 The Apache Software Foundation. All Rights Reserved.